Subject: Re: Help engine/file format (was CD-based distribution...)
From: [email-masked] (Stephen L Arnold)

22 Aug 1998 14:27:03 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

On 21 Aug 98, Robert Cross had this to say about Re: Help 
engine/file format (was CD:
> [email-masked] wrote:
> #It would be nice if the man command came with the base distribution (or
> #EGCS).  Or better still, a win32 X-man type shell with a command list,
> #search features,etc.
> Agreed.
I ain't there yet; anybody else?
> #Unless you have the latest PII, K6, etc, most current browsers are 
> #slow (piggish), and it seems like Apache would have to be trimmed 
> #down quite a bit.
> What about lynx?
lynx is cool (see below)
> #How about text files with an interface to select available help
> #files and use grep to search with?  It's faster than you might think,
> #even on *lots* of files.  It could even be configurable for multiple file
> #formats (using a lynx base for the HTML part?).
> How about this -
> Leave the documentation in it's current multiplicity of formats. Install a
> cut down version of Apache, plus lynx or similar. Write *small* (?) CGI to
> run man2html et al to convert manual pages on demand. This would give the
> best of both worlds, minimal manual (pun?) conversion, plus the ease of
> use of HTML for the newbies, (and lazy folk like myself). The disadvantage
> is that gnu-win32 would still have to be running to be able to access the
> information.
> 
> Opinions?

That's what I was trying to say (although not very well :-)
The file formats can be converted on the fly, but the default 
display mode should be configurable (ie, if you want to see text, 
the format stuff can be stripped easily).  I kind of like plain old 
text because it's easy to read even if you have nothing but less to 
view it with.  On the other hand, there are no links, nodes, etc, 
and searching requires an extra tool or two.

So nobody's interested in the win32 grep interface?  It was done by 
another guy, but I haven't been able to get an email in six months 
of trying (no bounced messages though :-/

The app is freely available (it's called ViewBar) and since the 
grep part is based on the GNU source, it (and the win32 GUI 
interface) is also GPL'd (not ViewBar, just the grep part).

It's a pretty cool win95 file browser, kind of like a task bar at 
the top of your display, that provides browsing, access to the grep 
interface, and a nice text viewer/editor (you can also specify your 
own editor).  It's too bad I don't have the source for the ViewBar 
part (and I can't get hold of the guy); if anyone would like to 
try, his info is:

Donald Munro <[email-masked]>

The win32 grep shell would make a great search facility for a help 
engine, or nice stand-alone util.  If anyone wants it, let me 
know...

Gotta go - it's pizza time!   Steve

*************************************************************
Steve Arnold                            [email-masked]
This message composed of 100% recycled electrons.  You should
also recycle yourself.  Become an organ donor (8-)@
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".